Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.properties
Class MethodProperty

    java.lang.Object
      net.sourceforge.pmd.properties.AbstractPMDProperty
          net.sourceforge.pmd.properties.MethodProperty

All Implemented Interfaces:
  java.lang.Comparable<PropertyDescriptor>, PropertyDescriptor

    public class MethodProperty

extends AbstractPMDProperty

Author:
  Brian Remedios

Field Summary

Fields inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`multiValueDelimiter`

Fields inherited from interface net.sourceforge.pmd.PropertyDescriptor
`emptyPropertySet`

Constructor Summary
`MethodProperty(java.lang.String theName, java.lang.String theDescription, java.lang.Object theDefault, float theUIOrder)` Constructor for MethodProperty.

Method Summary
`java.lang.Class<java.lang.reflect.Method>` | `type()` Method type.
`java.lang.Object` | `valueFrom(java.lang.String propertyString)` Method valueFrom.

Methods inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`areEqual, asDelimitedString, asString, choices, compareTo, defaultValue, description, errorFor, isArray, isRequired, maxValueCount, maxValueCount, multiValueDelimiter, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, typeErrorFor, uiOrder, valueErrorFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodProperty

    public MethodProperty(java.lang.String theName,
                          java.lang.String theDescription,
                          java.lang.Object theDefault,
                          float theUIOrder)

  Constructor for MethodProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefault` - Object
    `theUIOrder` - float

Method Detail

### type

    public java.lang.Class<java.lang.reflect.Method> type()

  Method type.

  Returns:
    Class
  See Also:
    `PropertyDescriptor.type()`

### valueFrom

    public java.lang.Object valueFrom(java.lang.String propertyString)
                               throws java.lang.IllegalArgumentException

  Method valueFrom.

  Parameters:
    `propertyString` - String
  Returns:
    Object
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `PropertyDescriptor.valueFrom(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.